Page MenuHomePhabricator

[Task] Repeat the bad value in validator messages for easy error recovery
Closed, ResolvedPublic

Description

The patch that finally solved T138365 also removed the $1 placeholder from messages. The current messages

  • "wikibase-validator-bad-url": "URLs are not allowed to contain certain characters like spaces and square brackets.", and
  • "wikibase-validator-url-scheme-missing": "This URL misses a scheme like \"http://\" or \"https://\".",

do not repeat the invalid URLs any more. This is a problem when you are editing a statement with multiple URLs in qualifiers and references. The error message is displayed as a tooltip on the save button (see T138748 for a long-term solution for that).

Proposed short-term solution:

  • Check all validator messages and add the $1 placeholders when missing.
  • Note that these messages are currently parsed. The bad URLs are displayed as clickable links in the messages. I believe this should be fixed.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 30 2016, 6:59 PM
thiemowmde triaged this task as Medium priority.Aug 31 2016, 7:33 AM

Change 311993 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Repeat the bad value in validator messages for easy error recovery

https://gerrit.wikimedia.org/r/311993

Change 311993 merged by jenkins-bot:
Repeat the bad value in validator messages for easy error recovery

https://gerrit.wikimedia.org/r/311993

Jonas closed this task as Resolved.Sep 27 2016, 10:11 AM
Jonas moved this task from Review to Done on the Wikidata-Sprint-2016-09-21 board.